class iaas::profile::neutron::common (
  $core_plugin = undef,
  $service_plugins = undef,
  $public_interface = hiera('iaas::public_interface', undef),
  $admin_interface = hiera('iaas::admin_interface', undef),

##verbose, debug
  $verbose = hiera('iaas::verbose', undef),
  $debug = hiera('iaas::debug', undef),

  $region = hiera('iaas::region', undef),
  $endpoint = hiera('iaas::role::endpoint::main_address', undef),
##rhosts
  $rhosts = hiera('iaas::profile::rabbitmq::rhosts', undef),
  $rabbitmq_user = hiera('iaas::profile::rabbitmq::user', undef),
  $rabbitmq_password = hiera('iaas::profile::rabbitmq::password', undef),
) {

  file { 'etc_default_neutron-server':
    path => '/etc/default/neutron-server',
    ensure => 'present'
  }

  class { '::neutron':
##added verbose, debug
    verbose => $verbose,
    debug => $debug,

    bind_host => $::facts["ipaddress_${admin_interface}"],
    core_plugin => $core_plugin,
    allow_overlapping_ips => true,
##rabbit_hosts - uncomment as needed
#    rabbit_host => $endpoint,
    rabbit_hosts => $rhosts,
    rabbit_user => $rabbitmq_user,
    rabbit_password => $rabbitmq_password,
    service_plugins => $service_plugins,
    dhcp_agents_per_network => 2
  }

  class  { '::neutron::plugins::ml2':
    type_drivers => ['gre', 'flat'],
    tenant_network_types => ['gre'],
    mechanism_drivers => ['openvswitch'],
    flat_networks => ["external"],
    tunnel_id_ranges => ['10:1000'],
  }
}
